[SOLVED] XDG: Problem with opening of items under Fluxbox

You have a problem with Salix? Post here and we'll do what we can to help.
User avatar
aurlaent
Donor
Posts: 106
Joined: 1. Feb 2012, 19:46
Location: Sydney, Australia

Re: XDG: Problem with opening of items under Fluxbox

Post by aurlaent »

There was a similar problem discussed over at linuxquestions a little while ago. xdg-utils ws patched for slackware-current to enable it to detect the mate DE.
Have a look through /usr/bin/xdg-open and see if you can find out which of the commands it's actually running. Hopefully that will suggest a next step.
User avatar
zAchAry
Posts: 804
Joined: 11. May 2010, 09:02
Location: Israel

Re: [SOLVED] XDG: Problem with opening of items under Fluxbo

Post by zAchAry »

Thank you very much! I tried the patch referred at comment #8 in accord to Xfce4 because I use Salix OS Xfce edition and exo-open "$1" works better than open_generic "$1".

Code: Select all

--- /usr/bin/xdg-open.origin
+++ /usr/bin/xdg-open
@@ -308,6 +308,7 @@
     elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
     elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
     elif [ x"$DESKTOP_SESSION" == x"LXDE" ]; then DE=lxde;
+    elif [ x"$DESKTOP_SESSION" == x"fluxbox" ]; then DE=fluxbox;
     else DE=""
     fi
 }
@@ -372,6 +373,17 @@
 }
 
 open_xfce()
+{
+    exo-open "$1"
+
+    if [ $? -eq 0 ]; then
+        exit_success
+    else
+        exit_failure_operation_failed
+    fi
+}
+
+open_fluxbox()
 {
     exo-open "$1"
 
@@ -543,6 +555,10 @@
     open_xfce "$url"
     ;;
 
+    fluxbox)
+    open_fluxbox "$url"
+    ;;
+
     lxde)
     open_lxde "$url"
     ;;
XDG should be made flexible instead of having it in a way that has to be patched (fixed) for probably every existing and future Desktop Environment and Window Manager.

And, now, I should do the same for /usr/bin/xdg-email...
Image
Help to make Slackware easier Donate to Salix
Post Reply